### Type parameters

- #### R: BaseRequest<T, I>

- #### T

- #### I: DeleteItemInput | PutItemInput | UpdateItemInput

### Hierarchy

- BaseRequest<T, I>
  - WriteRequest
    - DeleteRequest
    - PutRequest
    - UpdateRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- metadata
- modelClazz
- params

### Methods

- exec
- execFullResponse
- onlyIf
- onlyIfAttribute
- returnConsumedCapacity
- returnItemCollectionMetrics
- returnValues

## Constructors

### constructor

- new WriteRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, tableName: string): WriteRequest

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/write.request.ts:20

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### tableName: string

  #### Returns WriteRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:19

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:23

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:21

### params

params: I

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:20

## Methods

### Abstract exec

- exec(): Observable<T[] | T | null | void>

- Inherited from BaseRequest.exec

  - Defined in dynamo/request/base.request.ts:41

  #### Returns Observable<T[] | T | null | void>

### Abstract execFullResponse

- execFullResponse(): Observable<any>

- Inherited from BaseRequest.execFullResponse

  - Defined in dynamo/request/base.request.ts:39

  #### Returns Observable<any>

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): R

- - Defined in dynamo/request/write.request.ts:42

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns R

### onlyIfAttribute

- onlyIfAttribute(attributePath: keyof T): RequestConditionFunction<R>

- - Defined in dynamo/request/write.request.ts:35

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns RequestConditionFunction<R>

### returnConsumedCapacity

- returnConsumedCapacity(level: ReturnConsumedCapacity): R

- - Defined in dynamo/request/write.request.ts:25

  #### Parameters

  - ##### level: ReturnConsumedCapacity

  #### Returns R

### returnItemCollectionMetrics

- returnItemCollectionMetrics(returnItemCollectionMetrics: ReturnItemCollectionMetrics): R

- - Defined in dynamo/request/write.request.ts:30

  #### Parameters

  - ##### returnItemCollectionMetrics: ReturnItemCollectionMetrics

  #### Returns R

### returnValues

- returnValues(returnValues: "NONE" | "ALL_OLD"): R

- - Defined in dynamo/request/write.request.ts:52

  #### Parameters

  - ##### returnValues: "NONE" | "ALL_OLD"

  #### Returns R

Generated using TypeDoc